using System;

namespace Syntriax.Engine.Core.Exceptions;

public class UniverseObjectNotFoundException(string? message) : Exception(message)
{
    public static NotAssignedException FromType<TUniverseObject>()
        => new($"{typeof(TUniverseObject).FullName} was not found");
}
