using System;

namespace Syntriax.Engine.Core.Exceptions;

public class BehaviourNotFoundException(string? message) : Exception(message)
{
    public static NotAssignedException FromType<TBehaviour>()
        => new($"{typeof(TBehaviour).FullName} was not found");
}
